function calculateAgreement(currentState, agreementData) {
	log.info("---calculateAggrement---" + currentState + " - " + agreementData);
	log.info("_---:currentPercentage" + agreementData.get("currentPercentage"));
	if (hAPI.getCardValue("id_aprovreprov") == "R") {
		// Se foi reprovado por alguem, vai para fim cancelado.
		agreementData.put("currentPercentage", 100);
		agreementData.put("currentDestState", AUTO_APROVADO);
		agreementData.put("currentDestUsers", "System:Auto");
	} else if (getStatus() != null && getStatus() == "L") {
		agreementData.put("currentPercentage", 100);
		agreementData.put("currentDestState", AUTO_APROVADO);
		agreementData.put("currentDestUsers", "System:Auto");
	} else if (agreementData.get("currentPercentage") == 100) {
		// Se for aprovador por unanimidade entao vai para a atividade de
		// integracao.
		agreementData.put("currentDestState", AUTO_APROVADO);
		agreementData.put("currentDestUsers", "System:Auto");
	}
}

function getStatus() {
	var fields = new Array();

	fields.push("SC7");
	fields.push(" C7_NUM = '" + hAPI.getCardValue("id_pedidocompra") + "' ");
	fields.push(hAPI.getCardValue("R8_FILIAL"));
	fields.push("C7_CONAPRO");
	fields.push("C7_XRJTD");

	var dataset = DatasetFactory.getDataset("dsConsultaProtheus", fields, null, null);
	log.info("*-*-*-* C7_CONAPRO " + dataset.getValue(0, "C7_CONAPRO"));
	return dataset != null && dataset.rowsCount > 0 ? dataset.getValue(0, "C7_CONAPRO") : null;
}